import os
from sqlalchemy import inspect, create_engine, MetaData

# Create path to DB
storage_dir = os.path.join(os.getcwd(), "storage", "db")
if not os.path.exists(storage_dir):
    os.makedirs(storage_dir, exist_ok=True)

# Connect to database
db_url = f"sqlite:///{storage_dir}/db.sqlite"
engine = create_engine(db_url, connect_args={"check_same_thread": False})

# Get inspector
inspector = inspect(engine)

# Print schema
for table_name in inspector.get_table_names():
    print(f"\nTable: {table_name}")
    for column in inspector.get_columns(table_name):
        print(f"  {column['name']}: {column['type']}")